## ros-kinetic-stereo-image-proc 1.12.23

=== debian/changelog ===
ros-kinetic-stereo-image-proc (1.12.23-0xenial) xenial; urgency=high

  * Removed unused mutable scratch buffers (#315 <https://github.com/ros-perception/image_pipeline/issues/315>)
    The uint32_t buffers conflicted with newer release of OpenCV3, as explained here https://github.com/ros-perception/image_pipeline/issues/310
  * Contributors: Miquel Massot

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.22-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 23:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.21-0xenial) xenial; urgency=high

  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * Contributors: Mike Purvis, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.20-0xenial) xenial; urgency=high

  * fix doc jobs
    This is a proper fix for #233 <https://github.com/ros-perception/image_pipeline/issues/233>
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 29 Apr 2017 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.19-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jul 2016 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.18-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.17-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.16-0xenial) xenial; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 18 Mar 2016 23:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.15-0xenial) xenial; urgency=high

  * simplify OpenCV3 conversion
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.14-0xenial) xenial; urgency=high

  * add StereoSGBM and it can be chosen from dynamic_reconfigure
  * Contributors: Ryohei Ueda

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 21 Jul 2015 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.13-0xenial) xenial; urgency=high

  * get code to compile with OpenCV3
  * modify pointcloud data format of stereo_image_proc using point_cloud2_iterator
  * Contributors: Hiroaki Yaguchi, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Apr 2015 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.12-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 30 Dec 2014 23:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.11-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 25 Oct 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.10-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.9-0xenial) xenial; urgency=high

  * get code to compile with OpenCV3
    fixes #96 <https://github.com/ros-perception/image_pipeline/issues/96>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.8-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 Aug 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.6-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.4-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Apr 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.3-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Apr 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.2-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.12.0-0xenial) xenial; urgency=high

  * remove PointCloud1 nodelets

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Apr 2014 22:00:00 -0000

ros-kinetic-stereo-image-proc (1.11.5-0xenial) xenial; urgency=high

  * fix compilation on OSX (#50)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Dec 2013 13:42:55 +0100

ros-kinetic-stereo-image-proc (1.11.4-0xenial) xenial; urgency=high

  * convert images to MONO8 when computing disparity if needed (#49)

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Nov 2013 13:10:55 +0100
