=== debian/control ===
Source: ros-kinetic-stereo-image-proc
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-geometry, ros-kinetic-image-proc, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-nodelet, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-stereo-msgs
Homepage: http://www.ros.org/wiki/stereo_image_proc
Standards-Version: 3.9.2

Package: ros-kinetic-stereo-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-geometry, ros-kinetic-image-proc, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-nodelet, ros-kinetic-sensor-msgs, ros-kinetic-stereo-msgs
Description: Stereo and single image rectification and disparity processing.
